%*****David Hradecky, 2003******
%***Transformace PP na NDP***
omega_s = 2*pi*f_s;
omegas  = 2*pi*fs;
omega_p = 2*pi*f_p;
omegap  = 2*pi*fp;
plot([0,omega_s,omega_s],[10^(-1*0.1*as),10^(-1*0.1*as),1],'r-',[omega_p,omega_p,omegap,omegap],[0,10^(-1*0.1*ap),10^(-1*0.1*ap),0],'b-',[omegas,omegas,omegas+1000],[1,10^(-1*0.1*as),10^(-1*0.1*as)],'r-');
Title('Zadan tolerann schma PP');
Xlabel('w');
Ylabel('|H(jw)|');
pause;
omega_m = sqrt(omegap*omega_p); % Geometricky stred propustneho pasma
omega_ms = sqrt(omegas*omega_s);
d_omega = omegap-omega_p;        % Sirka propustneho pasma

% Transformace hranicnich kmitoctu
OMEGAP = (omegap^2-omega_m^2)/(d_omega*omegap);
OMEGA_P = (omega_p^2-omega_m^2)/(d_omega*omega_p);
OMEGAS = (omegas^2-omega_m^2)/(d_omega*omegas);
OMEGA_S = (omega_s^2-omega_m^2)/(d_omega*omega_s);
plot([OMEGA_S-1,OMEGA_S,OMEGA_S],[10^(-1*0.1*as),10^(-1*0.1*as),1],'r-',[OMEGA_P,OMEGA_P,OMEGAP,OMEGAP],[0,10^(-1*0.1*ap),10^(-1*0.1*ap),0],'b-',[OMEGAS,OMEGAS,OMEGAS+1],[1,10^(-1*0.1*as),10^(-1*0.1*as)],'r-');
Title('Tolerann schma NPP');
Xlabel('\Omega');
Ylabel('|H(j\Omega)|');
pause;
OMEGA_S = abs(OMEGA_S);
plot([0,OMEGAP,OMEGAP],[10^(-1*0.1*ap),10^(-1*0.1*ap),0],'b-',[OMEGAS,OMEGAS,OMEGAS+1],[1,10^(-1*0.1*as),10^(-1*0.1*as)],'r-',[OMEGA_S,OMEGA_S,OMEGA_S+1],[1,10^(-1*0.1*as),10^(-1*0.1*as)],'r-');
Title('Tolerann schma NDP');
Xlabel('\Omega');
Ylabel('|H(j\Omega)|');
pause;
if OMEGA_S < OMEGAS     % Pro nesymetrickou NDP bereme prisnejsi pozadavek
    OMEGAS = OMEGA_S;
end
% Sekundarni parametry
epsilon = sqrt(10^(0.1*ap)-1);			        % Zvlneni kmitoctove charakteristiky v propustnem pasmu
k = OMEGAP/OMEGAS;								% Pomer meznich kmitoctu propustneho a nepropustneho pasma
k1 = sqrt((10^(0.1*ap)-1)/(10^(0.1*as)-1));	    % Odstup modulu prenosu v propustnem a nepropustnem pasmu
