function [] = Rx(PoziceX,PoziceY,Oznaceni,Hodnota,Poloha,Uzly)
% Vykresli rezistor v dane poloze a pozici v prickove strukture

Rv = [0,1,0.2,1;0.8,1,1,1;0.2,0.9,0.2,1.1;0.8,0.9,0.8,1.1;0.2,0.9,0.8,0.9;0.2,1.1,0.8,1.1];
%axis([-1,PoziceX+1,-1,1+PoziceY]);
if Poloha == 'V'    % Vodorovne
    for i = 1:1:6
        line([Rv(i,1)+PoziceX,Rv(i,3)+PoziceX],[Rv(i,2)+PoziceY-1,Rv(i,4)+PoziceY-1]);
    end
    if Uzly == 'U'  % Vykreslim i uzly
        rectangle('Position',[0-0.05+PoziceX,1-0.05+PoziceY-1,0.1,0.1],'Curvature', [1,1],'EdgeColor','b','FaceColor','b')
        rectangle('Position',[1-0.05+PoziceX,1-0.05+PoziceY-1,0.1,0.1],'Curvature', [1,1],'EdgeColor','b','FaceColor','b')
    end
    text(0.3+PoziceX,1.45+PoziceY-1,['R',int2str(Oznaceni)],'FontSize',8);
    text(0.3+PoziceX,1.3+PoziceY-1,[Prevod(Hodnota),'\Omega'],'FontSize',8);
else    % 'P','S'   pricne,svisle
    for i = 1:1:6
        line([Rv(i,2)-1+PoziceX,Rv(i,4)-1+PoziceX],[Rv(i,1)+PoziceY-1,Rv(i,3)+PoziceY-1]);
    end
    if Uzly == 'U'  % Vykreslim i uzly
        rectangle('Position',[0-0.05+PoziceX,0-0.05+PoziceY-1,0.1,0.1],'Curvature', [1,1],'EdgeColor','b','FaceColor','b')
        rectangle('Position',[0-0.05+PoziceX,1-0.05+PoziceY-1,0.1,0.1],'Curvature', [1,1],'EdgeColor','b','FaceColor','b')
    end
    text(0.2+PoziceX,0.7+PoziceY-1,['R',int2str(Oznaceni)],'FontSize',8);
    text(0.2+PoziceX,0.5+PoziceY-1,[Prevod(Hodnota),'\Omega'],'FontSize',8);
end