function [soucastky,zakonceni] = Rozklad(p_ci,p_jm)
% Caueruv rozklad na retezove zlomky

vel_ci = length(p_ci);  % Velikost polynomu citatele
vel_jm = length(p_jm);
pozice = 1;
 while vel_jm ~= 1
     [Q,Zbytek] = deconv(p_ci,p_jm); % Vydeleni polynomu
     p_ci = p_jm; % Do citatele ulozim jmenovatel pro dalsi deleni
     % Odstraneni nul z pocatku zbytku po deleni, Matlab neumi ignorovat nuly na zacatku polynomu a tak deli nulou
     while Zbytek(1) <= 0.00001 % Zbytek po deleni nemusi byt uplna nula
         Zbytek = Zbytek(1,2:end); % Vektor pak bude zacinat az od druhe pozice
     end
     p_jm = Zbytek; % Do jmenovatele pro dalsi deleni
     vel_jm = length(p_jm); % Zjisteni aktualni velikosti jmenovatele (zbytku) pro dalsi cyklus
     soucastky(pozice) = Q(1); % V prvni pozici vyslednem polynomu Q je hledana hodnota soucastky
     pozice = pozice + 1;    % Posun na dalsi pozici
     
 end
[Q,Zbytek] = deconv(p_ci,p_jm); % Vypocet posledniho prvku retezoveho zlomku
soucastky(pozice) = Q(1);
zakonceni = Q(2);
while soucastky(1) == 0 % Kdyz po deleni bude prvni nula ve vektoru diky tomu, ze byl stupen jmenovatele vetsi nez citatele
    soucastky = soucastky(1,2:end); % Vektor pak bude zacinat az od druhe pozice
end