%*******Pasmova propust, v. 1.3b*******
%*****David Hradecky, 2003******
clc			% Smazani prikazoveho okna
clear all	% Vymazani promennych a funkci z pameti
close all	% Zavreni oken s grafy (figure)

disp('************************************');
disp('***** Vypocet pasmove propusti *****');
disp('************************************');
disp('* Zadani :  1 - zadnai c.9         *');
disp('*           2 - nove zadani        *');
disp('************************************');
zadani = input('Zvolte zadani : ');
switch zadani
case 1  
    f_s = 260    % Dolni mez nepropustneho pasma [Hz]
    fs  = 4970   % Horni mez nepropustneho pasma
    f_p = 730    % Dolni mez propustneho pasma
    fp  = 2800   % Horni mez propustneho pasma
    ap  = 2      % Maximalni utlum v propustnem pasmu [dB]
    as  = 18     % Minimalni utlum v nepropustnem pasmu 
case 2
   f_s = input('Dolni mez nepropustneho pasma, F-s [Hz] = ');	% Dolni mez nepropustneho pasma [Hz]
   f_p = input('Dolni mez propustneho pasma,   F-p [Hz] = ');	% Dolni mez propustneho pasma
   fp = input('Horni mez propustneho pasma,   Fp  [Hz] = ');	% Horni mez propustneho pasma
   fs = input('Horni mez nepropustneho pasma, Fs  [Hz] = ');	% Horni mez nepropustneho pasma
   disp(' ');
   ap  = input('Maximalni utlum v propustnem pasmu,   ap  [dB] = ');     % Maximalni utlum v propustnem pasmu [dB]
   as  = input('Minimalni utlum v nepropustnem pasmu, as  [dB] = ');     % Minimalni utlum v nepropustnem pasmu 
end
disp('*********************************');
disp('* Aproximace :  1 - Butterworth *');
disp('*               2 - Cebysev     *');
disp('*               3 - InvCebysev  *');
disp('*********************************');
Aprox = input('Zvolte aproximaci : ');
disp(' ');
switch Aprox
case 1
    Pp_ndp  % Transformace PP na NDP
    Butterworth
case 2
    Pp_ndp  % Transformace PP na NDP
    Cebysev
case 3
    Pp_ndp  % Transformace PP na NDP
    InvCebysev
end
